;**************************************************************************
;* FileName	: TIMER.INC
;* Date 	: 04.08.2006
;* File version : v1.01
;*
;* Author	: MIKO, Imre
;* Company	:
;* Homepage	: http://majki.fw.hu
;* E-mail	: majki@fw.hu
;*
;*-------------------------------------------------------------------------
;*
;* Description	: TIMER functions
;*		  ==================================
;*		  <none>
;*
;*
;*-------------------------------------------------------------------------
;* Needed defines and includes in main-modul:
;* 
;* xtal_freq		EQU	4000000	  	; crystal frequency
;* core_freq		EQU	xtal_freq/4	; core operating frequency
;*
;* TIMER_TMR0pre	EQU	256	  	; timer0 prescaler value (2, 4, .. 256)
;* TIMER_TMR0val	EQU	128		; TMR0 init value (1-256)
;* TIMER_DIVIDER	EQU	100		; multiply max time, div. resolution for 
;*						; divided timers (2..256)
;*
;*-------------------------------------------------------------------------
;* Other possible defines in main-modul:
;*
;* #define DEBUG			; for some debug message
;* #define NO_DELAY			; for fast simulation
;*
;**************************************************************************
;* Revision History:
;*
;* 1.00	  28/01/2004 	Initial Release
;* 1.01	  04/08/2006	- timer_divcounter variable
;*
;**************************************************************************

;***** VARIABLES **********************************************************

#ifdef	TIMER_START16W_INC
	cblock
	  timer_hi
	endc
#endif

#ifdef	TIMER_DIVIDED_TIMER_INC
	cblock
	  timer_divcounter
	endc
#endif



;**************************************************************************
